Skip to main content
POST
/
dev
/
v1
/
coupons
Create coupon
curl --request POST \
  --url https://api.shoppex.io/dev/v1/coupons \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "code": "SAVE10",
  "discount_value": 10,
  "discount_type": "PERCENTAGE",
  "max_uses": 100,
  "products_bound": [
    "prod_1"
  ],
  "min_order_amount": 20,
  "max_discount": 50,
  "valid_from": "2026-04-01T00:00:00.000Z",
  "valid_until": "2026-05-01T00:00:00.000Z"
}
'
{
  "data": {
    "id": "coupon_db_1",
    "uniqid": "coupon_1",
    "shop_id": "shop_1",
    "type": "PERCENTAGE",
    "code": "save10",
    "discount": 10,
    "used": 0,
    "max_uses": 100,
    "min_order_amount": 20,
    "max_discount": 50,
    "valid_from": 1711929600,
    "valid_until": 1714521600,
    "is_active": true,
    "created_at": 1711929600,
    "updated_at": 1711929600,
    "products_bound": [
      "prod_1"
    ],
    "products_count": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Shoppex API key in the Authorization header.

Body

code
string
required
Required string length: 1 - 64
discount_value
number
required
Required range: x >= 1e-9
discount_type
Available options:
PERCENTAGE
max_uses
default:0
products_bound
string[]
variants_bound
string[]
min_order_amount
number | null
max_discount
number | null
valid_from
valid_until

Response

Successful response

data
object
required